package com.loveCoding.j20250524_method;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo02
 * @description
 * @create 2025/5/24
 */
public class Demo02 {
    //我们接触的第一个方法就是main方法，我们自己定义的方法，必须和main方法处于同一级别
    public static void main(String[] args) {
        printHello();
        printName("张三");
        int sum=add(15,16);
        System.out.println(sum);
        String s = getHello();
        System.out.println(s);
    }
    /*
        方法的格式：

        修饰符 返回值类型 方法名(形式参数类型 形参名){


            return 返回值;
        }
     */
    //方法的定义-1
    // -无返回值，所以返回值类型写void，
    // -无参数，所以参数位置不写内容
    /*
        修饰符 返回值类型 方法名(){
            方法体
        }
     */
    public static void printHello(){
        System.out.println("Hello");
    }

    //方法的定义-2
    // -无返回值，所以返回值类型写void，
    // -有参数
    /*
        修饰符 返回值类型 方法名(参数类型 参数名){
            方法体
        }
     */
    public static void printName(String name){
        System.out.println(name);
    }
    //方法的定义-3
    // -有返回值
    // -有参数
    /*
        修饰符 返回值类型 方法名(参数类型 参数名){
            方法体
            return 返回值
        }
     */
    public static int add(int a,int b){
        return a+b;
    }
    //方法的定义-4
    // -有返回值
    // -无参数
    /*
        修饰符 返回值类型 方法名(参数类型 参数名){
            方法体
            return 返回值
        }
     */
    public static String getHello(){
        return "hello";
    }
}
